Subject: Re: [arch-d] [icnrg] recasting address semantics

From: Antoine FRESSANCOURT <[email-masked]>
Date: Tue, 1 Mar 2022 10:36:21 +0000

Hello,

I am very curious about the Azure presentation you are referring to. Is there a reference for it on the Internet (recording, slides...) or a pointer I could look for ?

Thanks in advance,

Antoine Fressancourt

-----Original Message-----
From: Architecture-discuss [mailto:[email-masked]] On Behalf Of Toerless Eckert
Sent: Sunday, February 27, 2022 10:28 AM
To: Jeff Tantsura <[email-masked]>
Cc: Dirk Trossen <dirk.trossen=[email-masked]>; [email-masked]
Subject: Re: [arch-d] [icnrg] recasting address semantics

Thanks, Jeff

A few years back, i listened to a nice Azure presentation (you where there as well, not at Azure yet though ;-) about tracing path behavior in Azure DCs by use of a stack of IP-in-IP headers to steer the packet hop-by-hop without explicit steering support in the packet protocol itself. I really admire such "abuses" of existing technology and there has been so much creativity to do this over the decades. Likewise, i think it is clear that it would be better to design better solutions against requirements and use them instead, assuming their benefits can be proven. And for such monitoring, IETF makes slow progress (to finish tht example). Fundamentally i think a lot more innovation would happen if the programmability of network equipment was as easy as programmability in DC servers.

One persons revolution is another persons small evolution. How do we even measure evolution vs. revolution ? I for once think that backward compatibility/interoperability and evolution paths are a key aspect.

The reason why i think research organizations have an important role to play is because in my experience, most novel technology whether evolutionary or revolutionary was a lot easier to grow from small deployments. Changing large deployments is always the most cost problematic and therefore often the slowest.

 On the other hand, smaller deployments can only afford to deal with new technology, when they have a lot of perceived growth opportunity in the eyes of stakeholders. People building routing within satellite networks are an example of this. They don't need to care what SDOs want/would say.

On the other hand so many indistrial networks that arguably are not best served by existing networks do not have this growth outlook. They really just need opex/capex reduction and agility/security improvements.
 This is where research IMHO comes in to prove those benefits first so the cost of migration and proof of benefit does not have to be taken on solely by such highly fragmented industries.

Cheers
    toerless

On Sat, Feb 26, 2022 at 03:27:50PM -0800, Jeff Tantsura wrote:
> Toerless.
> 
> At Microsoft Azure we have been using IETF technologies at a huge scale, from routing to encapsulations, from VPNs to SR. Obviously, some things need to be tweaked, centralized and/or distributed to work at such scale but at the base - they are what we have developed here.
> 
> Does routing have to be fancy?
> It has to be functional, available and reliable (and hopefully 
> operationable  ;-)) In order to deal with complexity - we pushed it to the edges (nothing new - 101 distributed systems ar scale).
> Innovation doesn’t necessarily come from a new protocol or encapsulation or god forbid a merge of these ;-) unless the goal is to (up)sell new HW.
> There’s so much we can do to make operational characteristics and semantics of existing protocols/encapsulations/services better. 
> Most people aren’t looking for a revolution (I know, not cool) but for a steady evolution, ability to evolve while still making money and keeping their customers happy.
> 
> Cheers,
> Jeff
> 
> > On Feb 25, 2022, at 23:10, Toerless Eckert <[email-masked]> wrote:
> > 
> > I think we are really more at an earlier stage where novel ideas 
> > and experimentation would first need to happen. The model of how we 
> > had innovations in the 1990th between vendors, universities and IETF 
> > looks like a fitting model. The vendors only jumped onto the 
> > bandwaggon years after it started (1989 vs. 1994 if i remember 
> > correctly ;-)
> > 
> > Industry alliances typically are for much more baked stuff i think. Not ?
> > 
> > Cheers
> >    Toerless
> > 
> > On Fri, Feb 25, 2022 at 03:27:34PM -0800, Dino Farinacci wrote:
> >>> [DOT] we are coming to the crux here, namely should activities on routing innovation happen or not and, also, how should the IETF support such activities. It is one aspect that ANY innovation is judged ultimately by the market and I cannot and do not disagree with it. But the question here is whether activities on routing (whether 'semantic routing' or others) should be (mainly/purely?) judged by current economic conditions or should be fostered in the spirit of what you call a 'deregulated nature of the activity', i.e. enabling the possibility to form those stable and viable niches in the market (which themselves may grow or disappear altogether). 
> >> 
> >> How about the companies with deep pockets build a "Routing Alliance" like similar things for IoT and WiFi Alliance, etc (remember the ATM Forum). 
> >> 
> >> Dino
> >> 
> >> _______________________________________________
> >> Architecture-discuss mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/architecture-discuss
> > 
> > --
> > ---
> > [email-masked]
> > 
> > _______________________________________________
> > Architecture-discuss mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/architecture-discuss

--
---
[email-masked]

_______________________________________________
Architecture-discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/architecture-discuss